DNS Zones
Create Dns Zone With Upload
post
/dns/zones/uploadCreate a new DNS zone and import records from a BIND zone file.
Creates the zone and imports records in one operation. Records are saved immediately and start being served once the zone is verified.
Autorización
Authorization
Authorization*string
Bearer YOUR_API_TOKEN con un token de API. También vale la cabecera X-API-Key: YOUR_API_TOKEN.
Parámetros de consulta
domain*string
Domain name for the zone
project_id*integer
Project ID
Cuerpo de la petición
multipart/form-dataObligatorio
file*string
BIND zone file to import
Respuestas
Successful Response
application/json
imported*integer
skipped*integer
errors*array<string>
records*array<DNSRecordOut>
Propiedades (12)
uuid*string
name*string
record_type*DNSRecordType
Valores
"A""AAAA""CNAME""MX""TXT""SRV""CAA""NS""SOA""PTR""ALIAS""SSHFP""TLSA"content*string
ttl*integer
priority?integer | null
weight?integer | null
port?integer | null
comment?string | null
region?string | null
created_at*string
Formato
date-timeupdated_at*string
Formato
date-time